.five-col
{
	width: 20%;
}
#login .logo
{
	margin: 25% auto 30px;
}

.navbar-brand
{
	padding: 10px 15px;
	line-height: 30px;
	width: 140px;
	background-color: #006090;
}

.navbar-inverse .navbar-brand:hover
{
	background-color: #004060;
}

.list-group-item button
{
	display: none;
}

.list-group-item button + button
{
	margin-right: 5px;
}

.list-group-item:hover button
{
	display: inline-block;
}

.panel-default .list-group-hover .list-group-item:hover
{
	background-color: #f3f3f3;
}

.panel-default .list-group-hover .list-group-item.no-hover:hover
{
	background-color: transparent;
}
.page-header h1 > button
{
	margin-top: 3px;
}
.get-close
{
	margin-top: -15px;
	margin-bottom: 15px;
}
.bs-callout {
    padding: 20px;
    margin: 20px 0;
    border: 1px solid #eee;
    border-left-width: 5px;
    border-radius: 3px;
}
.bs-callout h4 {
    margin-top: 0;
    margin-bottom: 5px;
}
.bs-callout p:last-child {
    margin-bottom: 0;
}
.bs-callout code {
    border-radius: 3px;
}
.bs-callout+.bs-callout {
    margin-top: -5px;
}
.bs-callout-default {
    border-left-color: #777;
}
.bs-callout-default h4 {
    color: #777;
}
.bs-callout-primary {
    border-left-color: #428bca;
}
.bs-callout-primary h4 {
    color: #428bca;
}
.bs-callout-success {
    border-left-color: #5cb85c;
}
.bs-callout-success h4 {
    color: #5cb85c;
}
.bs-callout-danger {
    border-left-color: #d9534f;
}
.bs-callout-danger h4 {
    color: #d9534f;
}
.bs-callout-warning {
    border-left-color: #f0ad4e;
}
.bs-callout-warning h4 {
    color: #f0ad4e;
}
.bs-callout-info {
    border-left-color: #5bc0de;
}
.bs-callout-info h4 {
    color: #5bc0de;
}

/***************** SIDEBAR PANEL ***************/
.sidebar-panel
{
	position: relative;
   	margin-bottom: 20px;
	border-radius: 4px;
	-webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
    		box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
    overflow-x: hidden;
}

.sidebar-nav
{
	position: absolute;
	top: 0;
	left: 0;
	width: 0;
	min-height: 100%;
	z-index: 2;
	transition: width 300ms ease-out;
	border-top-left-radius: 4px;
	border-bottom-left-radius: 4px;
	border-right: none;
	overflow: hidden;
}

.sidebar-panel-inverse .sidebar-nav
{
	background-color: #333333;
}

.sidebar-panel-body
{
	position: relative;
	border: 1px solid #ddd;
	min-height: 100%;
	border-radius: 4px;
	transition: margin-left 300ms ease-out;
}

.sidebar-panel-inverse .nav > li > a
{
	color: #e3e3e3;
}

.sidebar-panel-inverse .nav > li > a:focus,
.sidebar-panel-inverse .nav > li > a:hover,
.sidebar-panel-inverse .nav > li.active > a
{
	background-color: #111;
	color: #fff;
}

.sidebar-panel-body .panel
{
   	margin-bottom: 0;
   	box-shadow: none;
   	border: none;
}

.sidebar-panel-body .panel-heading
{
	padding-top: 9px;
	padding-bottom: 9px;
}

.sidebar-panel.in .sidebar-nav
{
	border: 1px solid transparent;
	width: 60%;
}

.sidebar-panel.in .sidebar-panel-body
{
	width: 100%;
	margin-left: 60%;
	border-left: none;
	border-top-left-radius: 0px;
	border-bottom-left-radius: 0px;
}

.sidebar-toggle
{
	float: left;
    background-color: transparent;
    background-image: none;
    border: 1px solid #aaa;
    border-radius: 4px;
    margin-top: -6px;
    margin-right: 15px;
    padding: 9px 10px;
    position: relative;	
}

.sidebar-toggle:hover,
.sidebar-panel.in .sidebar-toggle
{
	background-color: #ccc;
}

.sidebar-toggle .icon-bar 
{
	background-color: #aaa;
    border-radius: 1px;
    display: block;
    height: 2px;
    width: 22px;
}

.sidebar-toggle .icon-bar + .icon-bar 
{
    margin-top: 3px;
}

@media (min-width: 768px)
{
	.sidebar-panel
	{
		height: 400px;
	}
	
	.sidebar-nav,
	.sidebar-panel.in .sidebar-nav
	{
		border: 1px solid transparent;
		position: relative;
		width: 25%;
		float: left;
		transition: none;
	}
	
	.sidebar-panel-body,
	.sidebar-panel.in .sidebar-panel-body
	{
		float: left;
		width: 75%;
		border-left: none;
		min-height: 100%;
		border-top-left-radius: 0px;
		border-bottom-left-radius: 0px;
		margin: 0;
		transition: none;
	}
	
	.sidebar-nav .nav > li> a:first-child
	{
		border-top-left-radius: 4px;
	}
	
	.sidebar-panel-body .panel
	{
		border-top-left-radius: 0;
		border-bottom-left-radius: 0;
	}
	
	.sidebar-panel-body ul.list-group
	{
		max-height: 359px;
		overflow: auto;
	}
	
	.sidebar-toggle
	{
		display: none;
	}
}

/** panel inverse **/
.panel-inverse {
  border-color: #000;
}
.panel-inverse > .panel-heading {
  color: #fff;
  background-color: #333;
  border-color: #000;
}
.panel-inverse > .panel-heading + .panel-collapse > .panel-body {
  border-top-color: #000;
}
.panel-inverse > .panel-heading .badge {
  color: #333;
  background-color: #ddd;
}
.panel-inverse > .panel-footer + .panel-collapse > .panel-body {
  border-bottom-color: #333;
}
/** ajax warning **/
#ajax-alert
{
	position: fixed;
	top: -55px;
	left: 0;
	width: 100%;
	transition: top 300ms ease-in-out; 	
}

#ajax-alert.active
{
	top: 65px;
}
#ajax-alert > .alert
{
	display: inline-block;
	margin-bottom: 0;
}
#ajax-alert > .alert > img
{
	width: 26px;
	margin-top: -3px; 
}
.input-group.inverse .input-group-addon:first-child
{
	width: auto;
    text-align: left;
    background: #111;
    color: #fff;
    border: none;
}
@media (min-width: 768px)
{
	.input-group.inverse .input-group-addon:first-child
	{
		width: 25%;
	}
	.sm-3
	{
		width: 25%;
	}
}
/*** VALIDATE HASH ***/
.validate-hash
{
	height: 100vh;
}

.validate-hash .container-fluid
{
	height: 100%;
	background: linear-gradient(0, #bbb, #efefef);
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: center;
}

.validate-hash .container-fluid .panel
{
	flex: 1 1 auto;
	max-width: 400px;
}